# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libsearchbarplugin (kpart) ################

tde_add_kpart( libsearchbarplugin AUTOMOC
  SOURCES searchbar.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES searchbar.rc searchbar.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/kpartplugins
)

install( FILES ../uninstall.desktop
  RENAME searchbarplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/kpartplugins
)
